## jde.debugger.spec
Class BreakpointSpec

    java.lang.Object
      |
      +--jde.debugger.spec.EventRequestSpec
            |
            +--jde.debugger.spec.BreakpointSpec

Direct Known Subclasses:
  LineBreakpointSpec, MethodBreakpointSpec

public abstract class BreakpointSpec
extends EventRequestSpec

BreakpointSpec.java

Created: Thu Jul 15 12:59:42 1999

Since:
  0.1

Fields inherited from class jde.debugger.spec.EventRequestSpec
`app, classExFilters, classFilters, expr, expressionKey, isResolved, myID, refSpec, request, specPropertyKey, suspendPolicy, thread, threadKey`

Constructor Summary
`BreakpointSpec(Application app, ReferenceTypeSpec spec)`

Method Summary
`(package private) void` `setRequest(com.sun.jdi.request.BreakpointRequest request)`

Methods inherited from class jde.debugger.spec.EventRequestSpec
`attemptImmediateResolve, attemptResolve, getEventRequest, getID, installClassExFilters, installClassFilters, isJavaIdentifier, isResolved, resolve, setClassExFilters, setClassFilters, setExpression, setIsResolved, setRequest, setSuspendPolicy, setThread`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### BreakpointSpec

    public BreakpointSpec(Application app,
                          ReferenceTypeSpec spec)

Method Detail

### setRequest

    void setRequest(com.sun.jdi.request.BreakpointRequest request)